const bemDecl = require('@bem/sdk.decl');

const stringDecl = "exports.deps = [{ block: 'a'}, { block: 'b', elem: '1'}]";

bemDecl.parse(stringDecl).map(c => c.id);;

const objDecl = {
    deps: [
        { block: 'a'}, 
        { block: 'b', elem: '1'}
    ]
};

bemDecl.parse(objDecl).map(c => c.id);;

const decl_v1 = "exports.blocks = [{ name: 'a'}, { name: 'b', elems: [{ name: '1'}, { name: '2'}]}]";

bemDecl.parse(decl_v1).map(c => c.id);;